| Domain |
|---|
| https://kakaotalk-bizmessage.api.nhncloudservice.com |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request body]
{
"plusFriendId": String,
"templateCode": String,
"requestDate": String,
"senderGroupingKey": String,
"recipientList": [{
"recipientNo": String,
"templateParameter": {
String: String
},
"resendParameter": {
"isResend" : boolean,
"resendType" : String,
"resendTitle" : String,
"resendContent" : String,
"resendSendNo" : String
},
"recipientGroupingKey": String
}]
}
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | O | PlusFriend ID(up to 30 characters) |
| templateCode | String | O | Registered delivery template code(up to 20 characters) |
| requestDate | String | X | Date and time of request(yyyy-MM-dd HH:mm) (send immediately, if it is left blank) |
| senderGroupingKey | String | X | Sender's grouping key(up to 100 characters) |
| recipientList | List | O | List of recipients(up to 1000 persons) |
| - recipientNo | String | O | Recipient number(up to 15 characters) |
| - templateParameter | Object | X | Template parameter (required, if it includes a variable to be replaced for template) |
| -- key | String | X | Replacement key(#{key}) |
| -- value | String | X | Value which is mapped for replacement key |
| - resendParameter | Object | X | Alternative delivery information |
| -- isResend | boolean | X | Whether to send text as alternative, if delivery fails Resent in default, if delivery failure is set on console. |
| -- resendType | String | X | Alternative delivery type(SMS,LMS) Categorized by the length of template body if value is unavailable. |
| -- resendTitle | String | X | Title of alternative delivery for LMS(up to 20 characters) (resent with PlusFriend ID if value is unavailable.) |
| -- resendContent | String | X | Alternative delivery message(up to 1000 characters) (resent with template message if value is unavailable.) |
| -- resendSendNo | String | X | Sender number for alternative delivery(up to 13 characters) (Alternative delivery may fail, if the sender number is not registered on the SMS service.) |
| - recipientGroupingKey | String | X | Recipient grouping key(up to 100 characters) |
\s character to the end of the templateTitle and templateItemHighlight.title fields with a substitution and templateParameter, you can apply the strikethrough style[Example]
curl -X POST -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/messages -d '{"plusFriendId":"{PlusFriend ID}","templateCode":"{template code}","requestDate":"2018-10-01 00:00","recipientList":[{"recipientNo":"{recipient number}","templateParameter":{"{replaced field}":"{replacement data}"}}]}'
{
"header": {
"resultCode": Integer,
"resultMessage": String,
"isSuccessful": boolean
},
"message": {
"requestId": String,
"senderGroupingKey": String,
"sendResults": [
{
"recipientSeq": Integer,
"recipientNo": String,
"resultCode": Integer,
"resultMessage": String,
"recipientGroupingKey": String
}
]
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Body area |
| - requestId | String | Request ID |
| - senderGroupingKey | String | Sender's grouping key |
| - sendResults | Object | Result of delivery request |
| -- recipientSeq | Integer | Recipient sequence number |
| -- recipientNo | String | Recipient number |
| -- resultCode | Integer | Result code of delivery request |
| -- resultMessage | String | Result message of delivery request |
| -- recipientGroupingKey | String | Recipient's grouping key |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/raw-messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"plusFriendId": String,
"templateCode": String,
"requestDate": String,
"senderGroupingKey": String,
"recipientList": [
{
"recipientNo": String,
"content": String,
"buttons": [
{
"ordering": Integer,
"type": String,
"name": String,
"linkMo": String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"resendParameter": {
"isResend" : boolean,
"resendType" : String,
"resendTitle" : String,
"resendContent" : String,
"resendSendNo" : String
},
"recipientGroupingKey": String
}
]
}
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | O | PlusFriend ID(up to 30 characters) |
| templateCode | String | O | Registered delivery template code(up to 20 characters) |
| requestDate | String | X | Date and time of request(yyyy-MM-dd HH:mm) (sent immediately if it is left blank) |
| senderGroupingKey | String | X | Sender's grouping key(up to 100 characters) |
| recipientList | List | O | List of recipients(up to 1,000 persons) |
| - recipientNo | String | O | Recipient number(up to 15 characters) |
| - content | String | O | Message(up to 1000 characters) |
| - buttons | List | X | List of buttons(up to 5) |
| -- ordering | Integer | X | Button sequence(required, if there is a button) |
| -- type | String | X | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| -- name | String | X | Button name(required if there is a button, up to 14 characters) |
| -- linkMo | String | X | Mobile web link(required for the WL type, up to 500 characters) |
| -- linkPc | String | X | PC web link(optional for the WL type, up to 500 characters) |
| -- schemeIos | String | X | iOS app link(required for the AL type, up to 500 characters) |
| -- schemeAndroid | String | X | Android app link(required for the AL type, up to 500 characters) |
| - resendParameter | Object | X | Alternative delivery information |
| -- isResend | boolean | X | Whether to send text as alternative, if delivery fails Resent in default, if delivery failure is set on console. |
| -- resendType | String | X | Alternative delivery type(SMS,LMS) Categorized by the length of template message, if value is unavailable. |
| -- resendTitle | String | X | Title of alternative delivery for LMS(up to 20 characters) (resent with PlusFriend ID if value is unavailable.) |
| -- resendContent | String | X | Alternative delivery message(up to 1000 characters) (resent template message, if value is unavailable.) |
| -- resendSendNo | String | X | Sender number for alternative delivery(up to 13 characters) (alternative delivery may fail, if sender number is not registered in the SMS service.) |
| - recipientGroupingKey | String | X | Recipient's grouping key(up to 100 characters) |
[Exapmle]
curl -X POST -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/raw-messages -d '{"plusFriendId":"{PlusFriend ID}","templateCode":"{template code}","requestDate":"2018-10-01 00:00","recipientList":[{"recipientNo":"{recipient number}","content":"{body}","buttons":[{"ordering":"{button sequence}","type":"{button type}","name":"{button name}","linkMo":"{mobile web link}"}]}]}'
{
"header": {
"resultCode": Integer,
"resultMessage": String,
"isSuccessful": boolean
},
"message": {
"requestId": String,
"senderGroupingKey": String,
"sendResults": [
{
"recipientSeq": Integer,
"recipientNo": String,
"resultCode": Integer,
"resultMessage": String,
"recipientGroupingKey": String
}
]
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Body area |
| - requestId | String | Request ID |
| - senderGroupingKey | String | Sender's grouping key |
| - sendResults | Object | Result of delivery request |
| -- recipientSeq | Integer | Recipient's sequence number |
| -- recipientNo | String | Recipient number |
| -- resultCode | Integer | Result code of delivery request |
| -- resultMessage | String | Result message of delivery request |
| -- recipientGroupingKey | String | Recipient's grouping key |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter] No. 1 or 2 is conditionally required
| Value | Type | Required | Description |
|---|---|---|---|
| requestId | String | Conditionally required(no.1) | Request ID |
| startRequestDate | String | Conditionally required(no.2) | Start date of delivery request(yyyy-MM-dd HH:mm) |
| endRequestDate | String | Conditionally required(no.2) | End date of delivery request(yyyy-MM-dd HH:mm) |
| recipientNo | String | X | Recipient number |
| plusFriendId | String | X | PlusFriend ID |
| templateCode | String | X | Template code |
| senderGroupingKey | String | X | Sender's grouping key |
| recipientGroupingKey | String | X | Recipient's grouping key |
| messageStatus | String | X | Request status(COMPLETED -> Successful, FAILED -> Failed, CANCEL -> Canceled) |
| resultCode | String | X | Delivery result(MRC01 -> Successful, MRC02 ->Failed) |
| pageNum | Integer | X | Page number(default: 1) |
| pageSize | Integer | X | Number of queries(default: 15, Max: 1000) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"messageSearchResultResponse" : {
"messages" : [
{
"requestId" : String,
"recipientSeq" : Integer,
"plusFriendId" : String,
"templateCode" : String,
"recipientNo" : String,
"content" : String,
"requestDate" : String,
"receiveDate" : String,
"resendStatus" : String,
"resendStatusName" : String,
"messageStatus" : String,
"resultCode" : String,
"resultCodeName" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"senderGroupingKey": String,
"recipientGroupingKey": String
}
],
"totalCount" : Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| messageSearchResultResponse | Object | Body area |
| - messages | List | List of messages |
| -- requestId | String | Request ID |
| -- recipientSeq | Integer | Recipient sequence number |
| -- plusFriendId | String | PlusFriend ID |
| -- templateCode | String | Template code |
| -- recipientNo | String | Recipient number |
| -- content | String | Body message |
| -- requestDate | String | Date and time of request |
| -- receiveDate | String | Date and time of receiving |
| -- resendStatus | String | Status code of resending |
| -- resendStatusName | String | Status code name of resending |
| -- messageStatus | String | Request status(COMPLETED -> successful, FAILED -> failed, CANCEL -> canceled ) |
| -- resultCode | String | Result code of receiving |
| -- resultCodeName | String | Result code name of receiving |
| -- buttons | List | List of buttons |
| --- ordering | Integer | Button sequence |
| --- type | String | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| --- name | String | Button name |
| --- linkMo | String | Mobile web link(required for the WL type) |
| --- linkPc | String | PC web link(optional for the WL type) |
| --- schemeIos | String | iOS app link(required for the AL type) |
| --- schemeAndroid | String | Android app link(required for the AL type) |
| -- senderGroupingKey | String | Sender's grouping key |
| -- recipientGroupingKey | String | Recipient's grouping key |
| - totalCount | Integer | Total Count |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/messages?startRequestDate=2018-05-01%20:00&endRequestDate=2018-05-30%20:59"
| Value | Description |
|---|---|
| RSC01 | No target of resending |
| RSC02 | Target of resending(resent, if delivery fails.) |
| RSC03 | Resending |
| RSC04 | Resending successful |
| RSC05 | Resending failed |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/messages/{requestId}/{recipientSeq}
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Typ | Description |
|---|---|---|
| appkey | String | Original appkey |
| requestId | String | Request ID |
| recipientSeq | Integer | Recipient sequence number |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/messages/{requestId}/{recipientSeq}"
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"message" : {
"requestId" : String,
"recipientSeq" : Integer,
"plusFriendId" : String,
"templateCode" : String,
"recipientNo" : String,
"content" : String,
"requestDate" : String,
"receiveDate" : String,
"resendStatus" : String,
"resendStatusName" : String,
"messageStatus" : String,
"resultCode" : String,
"resultCodeName" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"senderGroupingKey": String,
"recipientGroupingKey": String
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Message |
| - requestId | String | Request ID |
| - recipientSeq | Integer | Recipient sequence number |
| - plusFriendId | String | PlusFriend ID |
| - templateCode | String | Template code |
| - recipientNo | String | Recipient number |
| - content | String | Body message |
| - requestDate | String | Date and time of request |
| - receiveDate | String | Date and time of receiving |
| - resendStatus | String | Status code of resending |
| - resendStatusName | String | status code name of resending |
| - messageStatus | String | Request status(COMPLETED -> successful, FAILED -> failed, CANCEL -> cancelled ) |
| - resultCode | String | Result code of receiving |
| - resultCodeName | String | Result code name of receiving |
| - buttons | List | List of buttons |
| -- ordering | Integer | Button sequence |
| -- type | String | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK:Bot Keyword, MD: Message Delivery) |
| -- name | String | Button name |
| -- linkMo | String | Mobile web link(required for the WL type) |
| -- linkPc | String | PC web link(optional for the WL type) |
| -- schemeIos | String | iOS app link(required for the AL type) |
| -- schemeAndroid | String | Android app link(required for the AL type) |
| - senderGroupingKey | String | Sender's grouping key |
| - recipientGroupingKey | String | Recipient grouping key |
1. Guide for authentication words required to be included for Authentication Messages API
| Category | Authentication Words |
|---|---|
| Authentication Messages | auth, password, verif, にんしょう, 認証, 비밀번호, 인증 |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/auth/messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request body]
{
"plusFriendId": String,
"templateCode": String,
"requestDate": String,
"senderGroupingKey": String,
"recipientList": [{
"recipientNo": String,
"templateParameter": {
String: String
},
"isResend" : boolean,
"resendType" : String,
"resendTitle" : String,
"resendContent" : String,
"resendSendNo" : String,
"recipientGroupingKey": String
}]
}
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | O | PlusFriend ID(up to 30 characters) |
| templateCode | String | O | Registered delivery template code(up to 20 characters) |
| requestDate | String | X | Date of request(yyyy-MM-dd HH:mm) (immediately sent, if it is left blank) |
| senderGroupingKey | String | X | Sender's grouping key(up to 100 characters) |
| recipientList | List | O | List of recipients(up to 1000 persons) |
| - recipientNo | String | O | Recipient number(up to 15 characters) |
| - templateParameter | Object | X | Template parameter (required, if it includes a variable to be replaced for template) |
| -- key | String | X | Replacement key(#{key}) |
| -- value | String | X | Value which is mapped for replacement key |
| - isResend | boolean | X | Whether to send text as alternative, if delivery fails Resent in default, if delivery failure is set on console. |
| - resendType | String | X | Alternative delivery type(SMS,LMS) Categorized by the length of template body, if it is left blank. |
| - resendTitle | String | X | Title for LMS alternative delivery(up to 20 characters) (resent with PlusFriend ID if the value is left blank.) |
| - resendContent | String | X | Message for alternative delivery(up to 1000 characters) (resent with template message, if the value is left empty.) |
| - resendSendNo | String | X | Sender number for alternative delivery(up to 13 characters) (if the number is not registered in SMS service, alternative delivery may fail.) |
| - recipientGroupingKey | String | X | Recipient grouping key(up to 100 characters) |
[Example]
curl -X POST -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/auth/messages -d '{"plusFriendId":"{PlusFriend ID}","templateCode":"{template code}","requestDate":"2018-10-01 00:00","recipientList":[{"recipientNo":"{recipient number}","templateParameter":{"{replaced field}":"{replacement data}"}}]}'
{
"header": {
"resultCode": Integer,
"resultMessage": String,
"isSuccessful": boolean
},
"message": {
"requestId": String,
"senderGroupingKey": String,
"sendResults": [
{
"recipientSeq": Integer,
"recipientNo": String,
"resultCode": Integer,
"resultMessage": String,
"recipientGroupingKey": String
}
]
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Body area |
| - requestId | String | Request ID |
| - senderGroupingKey | String | Sender's grouping key |
| - sendResults | Object | Result of delivery request |
| -- recipientSeq | Integer | Recipient sequence number |
| -- recipientNo | String | Recipient number |
| -- resultCode | Integer | Result code of delivery request |
| -- resultMessage | String | Result message of delivery request |
| -- recipientGroupingKey | String | Recipient's grouping key |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/auth/raw-messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"plusFriendId": String,
"templateCode": String,
"requestDate": String,
"senderGroupingKey": String,
"recipientList": [
{
"recipientNo": String,
"content": String,
"buttons": [
{
"ordering": Integer,
"type": String,
"name": String,
"linkMo": String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"isResend" : boolean,
"resendType" : String,
"resendTitle" : String,
"resendContent" : String,
"resendSendNo" : String,
"recipientGroupingKey": String
}
]
}
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | O | PlusFriend ID(up to 30 characters) |
| templateCode | String | O | Registered delivery template code(up to 20 characters) |
| requestDate | String | X | Date and time of request(yyyy-MM-dd HH:mm) (sent immediately, if it is left blank) |
| senderGroupingKey | String | X | Sender's grouping key(up to 100 characters) |
| recipientList | List | O | List of recipients(up to 1,000 persons) |
| - recipientNo | String | O | Recipient number(up to 15 characters) |
| - content | String | O | Body message(up to 1000 characters) |
| - buttons | List | X | List of buttons(up to 5) |
| -- ordering | Integer | X | Button sequence(required if there a button) |
| -- type | String | X | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| -- name | String | X | Button name(required if there is a button, for up to 14 characters) |
| -- linkMo | String | X | Mobile web link(required for the WL type, for up to 500 characters) |
| -- linkPc | String | X | PC web link(required for the WL type, for up to 500 characters) |
| -- schemeIos | String | X | iOS app link(required for the AL type, for up to 500 characters) |
| -- schemeAndroid | String | X | Android app link(required for the AL type, for up to 500 characters) |
| - isResend | boolean | X | Whether to send text as alternative, if delivery fails Resent in default, if delivery failure is set on console. |
| - resendType | String | X | Alternative delivery type(SMS,LMS) Categorized by the length of template body, if value is unavailable. |
| - resendTitle | String | X | Title of alternative delivery for LMS(up to 20 characters) (resent with PlusFriend ID, if the value is unavailable.) |
| - resendContent | String | X | Alternative delivery message(up to 1000 characters) (resent with template message if value is unavailable.) |
| - resendSendNo | String | X | Sender number for alternative delivery(up to 13 characters) (Alternative delivery may fail, if the sender number is not registered on the SMS service.) |
| - recipientGroupingKey | String | X | Recipient's grouping key(up to 100 characters) |
[Example]
curl -X POST -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/auth/raw-messages -d '{"plusFriendId":"{lusFriend ID}","templateCode":"{template code}","requestDate":"2018-10-01 00:00","recipientList":[{"recipientNo":"{recipient number}","content":"{body message}","buttons":[{"ordering":"{button sequence}","type":"{button type}","name":"{button name}","linkMo":"{mobile web link}"}]}]}'
{
"header": {
"resultCode": Integer,
"resultMessage": String,
"isSuccessful": boolean
},
"message": {
"requestId": String,
"senderGroupingKey": String,
"sendResults": [
{
"recipientSeq": Integer,
"recipientNo": String,
"resultCode": Integer,
"resultMessage": String,
"recipientGroupingKey": String
}
]
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Body area |
| - requestId | String | Request ID |
| - senderGroupingKey | String | Sender's grouping key |
| - sendResults | Object | Result of delivery request |
| -- recipientSeq | Integer | Recipient sequence number |
| -- recipientNo | String | Recipient number |
| -- resultCode | Integer | Result code of delivery request |
| -- resultMessage | String | Result message of delivery request |
| -- recipientGroupingKey | String | Recipient's grouping key |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/auth/messages
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter] No. 1 or 2 is conditionally required
| Value | Type | Required | Description |
|---|---|---|---|
| requestId | String | Conditionally required(no.1) | Request ID |
| startRequestDate | String | Conditionally required(no.2) | Start date of delivery request(yyyy-MM-dd HH:mm) |
| endRequestDate | String | Conditionally required(no.2) | End date of delivery request(yyyy-MM-dd HH:mm) |
| recipientNo | String | X | Recipient number |
| plusFriendId | String | X | PlusFriend ID |
| templateCode | String | X | Template code |
| senderGroupingKey | String | X | Sender's grouping key |
| recipientGroupingKey | String | X | Recipient's grouping key |
| messageStatus | String | X | Request status(COMPLETED -> successful, FAILED -> failed, CANCEL -> canceled ) |
| resultCode | String | X | Delivery result(MRC01 -> successful, MRC02 -> failed ) |
| pageNum | Integer | X | Page number(default: 1) |
| pageSize | Integer | X | Number of queries(default: 15, Max: 1000) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"messageSearchResultResponse" : {
"messages" : [
{
"requestId" : String,
"recipientSeq" : Integer,
"plusFriendId" : String,
"templateCode" : String,
"recipientNo" : String,
"content" : String,
"requestDate" : String,
"receiveDate" : String,
"resendStatus" : String,
"resendStatusName" : String,
"messageStatus" : String,
"resultCode" : String,
"resultCodeName" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"senderGroupingKey": String,
"recipientGroupingKey": String
}
],
"totalCount" : Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| messageSearchResultResponse | Object | Body area |
| - messages | List | List of messages |
| -- requestId | String | Request ID |
| -- recipientSeq | Integer | Recipient sequence number |
| -- plusFriendId | String | PlusFriend ID |
| -- templateCode | String | Template code |
| -- recipientNo | String | Recipient number |
| -- content | String | Body message |
| -- requestDate | String | Date and time of request |
| -- receiveDate | String | Date and time of receiving |
| -- resendStatus | String | Status code of resending |
| -- resendStatusName | String | Status code name of resending |
| -- messageStatus | String | Request status(COMPLETED -> successful, FAILED ->failed, CANCEL -> canceled ) |
| -- resultCode | String | Result code of receiving |
| -- resultCodeName | String | Result code name of receiving |
| -- buttons | List | List of buttons |
| --- ordering | Integer | Button sequence |
| --- type | String | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| --- name | String | Button name |
| --- linkMo | String | Mobile web link(required for the WL type) |
| --- linkPc | String | PC web link(optional for the WL type) |
| --- schemeIos | String | iOS app link(required for the AL type) |
| --- schemeAndroid | String | Android app link(required for the AL type) |
| -- senderGroupingKey | String | Sender's grouping key |
| -- recipientGroupingKey | String | Recipient's grouping key |
| - totalCount | Integer | Total count |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/auth/messages?startRequestDate=2018-05-01%20:00&endRequestDate=2018-05-30%20:59"
| Value | Description |
|---|---|
| RSC01 | No target of resending |
| RSC02 | Target of resending(resent, if sending fails.) |
| RSC03 | Resending |
| RSC04 | Resending successful |
| RSC05 | Resending failed |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/auth/messages/{requestId}/{recipientSeq}
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| requestId | String | Request ID |
| recipientSeq | Integer | Recipient sequence number |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/auth/messages/{requestId}/{recipientSeq}"
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"message" : {
"requestId" : String,
"recipientSeq" : Integer,
"plusFriendId" : String,
"templateCode" : String,
"recipientNo" : String,
"content" : String,
"requestDate" : String,
"receiveDate" : String,
"resendStatus" : String,
"resendStatusName" : String,
"messageStatus" : String,
"resultCode" : String,
"resultCodeName" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"senderGroupingKey": String,
"recipientGroupingKey": String
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| message | Object | Message |
| - requestId | String | Request ID |
| - recipientSeq | Integer | Recipient sequence number |
| - plusFriendId | String | PlusFriend ID |
| - templateCode | String | Template code |
| - recipientNo | String | Recipient number |
| - content | String | Body message |
| - requestDate | String | Date and time of request |
| - receiveDate | String | Date and time of receiving |
| - resendStatus | String | Status code of resending |
| - resendStatusName | String | Status code name of resending |
| - messageStatus | String | Request status(COMPLETED -> successful, FAILED -> failed, CANCEL -> canceled) |
| - resultCode | String | Result code of receiving |
| - resultCodeName | String | Result code name of receiving |
| - buttons | List | List of buttons |
| -- ordering | Integer | Button sequence |
| -- type | String | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK:Bot Keyword, MD: Message Delivery) |
| -- name | String | Button name |
| -- linkMo | String | Mobile web link(required for the WL type) |
| -- linkPc | String | PC web link(optional for the WL type) |
| -- schemeIos | String | iOS app link(required for the AL type) |
| -- schemeAndroid | String | Android app link(required for the AL type) |
| - senderGroupingKey | String | Sender's grouping key |
| - recipientGroupingKey | String | Recipient's grouping key |
[URL]
DELETE /alimtalk/v1.4/appkeys/{appkey}/messages/{requestId}
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| requestId | String | Request ID |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter]
| Value | Type | Required | Description |
|---|---|---|---|
| recipientSeq | String | X | Recipient sequence number (to cancel all deliveries of request ID, if the value is left blank) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[Example]
curl -X DELETE -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/messages/{requestId}?recipientSeq=1,2,3"
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/message-results
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter]
| Value | Type | Required | Description |
|---|---|---|---|
| startUpdateDate | String | O | Start date of querying result updates(yyyy-MM-dd HH:mm) |
| endUpdateDate | String | O | End date of querying result updates(yyyy-MM-dd HH:mm) |
| alimtalkMessageType | String | X | AlimTalk message type(NORMAL, AUTH) |
| pageNum | Integer | X | Page number(default: 1) |
| pageSize | Integer | X | Number of queries(default: 15, Max: 1000) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"messageSearchResultResponse" : {
"messages" : [
{
"requestId" : String,
"recipientSeq" : Integer,
"plusFriendId" : String,
"templateCode" : String,
"recipientNo" : String,
"content" : String,
"requestDate" : String,
"receiveDate" : String,
"resendStatus" : String,
"resendStatusName" : String,
"messageStatus" : String,
"resultCode" : String,
"resultCodeName" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"senderGroupingKey": String,
"recipientGroupingKey": String
}
],
"totalCount" : Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| messageSearchResultResponse | Object | Body area |
| - messages | List | List of messages |
| -- requestId | String | Request ID |
| -- recipientSeq | Integer | Recipient sequence number |
| -- plusFriendId | String | PlusFriend ID |
| -- templateCode | String | Template code |
| -- recipientNo | String | Recipient number |
| -- content | String | Body message |
| -- requestDate | String | Date and time of request |
| -- receiveDate | String | Date and time of receiving |
| -- resendStatus | String | Status code of resending |
| -- resendStatusName | String | Status code name of resending |
| -- messageStatus | String | Request status(COMPLETED -> Successful, FAILED -> Failed, CANCEL -> Canceled) |
| -- resultCode | String | Result code of receiving |
| -- resultCodeName | String | Result code name of receiving |
| -- buttons | List | List of buttons |
| --- ordering | Integer | Button sequence |
| --- type | String | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| --- name | String | Button name |
| --- linkMo | String | Mobile web link(required for the WL type) |
| --- linkPc | String | PC web link(optional for the WL type) |
| --- schemeIos | String | iOS app link(required for the AL type) |
| --- schemeAndroid | String | Android app link(required for the AL type) |
| -- senderGroupingKey | String | Sender's grouping key |
| -- recipientGroupingKey | String | Recipient's grouping key |
| - totalCount | Integer | Total count |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/message-results?startUpdateDate=2018-05-01%20:00&endUpdateDate=2018-05-30%20:59"
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/plus-friends/categories
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"categories" : [
{
"parentCode" : String,
"depth" : Integer,
"code" : String,
"name" : String,
"subCategories" : [
{
"parentCode" : String,
"depth" : Integer,
"code" : String,
"name" : String,
"subCategories" : [
{
"parentCode" : String,
"depth" : Integer,
"code" : String,
"name" : String
}
]
}
]
}
]
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| categories | Object | Category |
| - parentCode | String | Parent code |
| - depth | Integer | Depth of category |
| - code | String | Category code |
| - name | String | Category name |
| - subCategories | Object | Sub-category |
| -- parentCode | String | Parent code |
| -- depth | Integer | Depth of category |
| -- code | String | Category code |
| -- name | String | Category name |
| -- subCategories | Object | Sub-category |
| --- parentCode | String | Parent code |
| --- depth | Integer | Depth of category |
| --- code | String | Category code |
| --- name | String | Category name |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/plus-friends
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"plusFriendId" : String,
"phoneNo" : String,
"licenseNo" : String,
"categoryCode" : String,
"fileSeq" : Integer
}
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | O | PlusFriend ID(up to 30 characters) |
| phoneNo | String | O | Mobile number of administrator(up to 15 characters) |
| categoryCode | String | O | Category code(11 characters) See response for Search Category API e.g.) 00100010001 Health(001) - Hospital(0001) - General Hospital(0001) |
| fileSeq | Integer | O | File sequence |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/tokens
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"token" : "Integer"
}
| Value | Type | Required | Description |
|---|---|---|---|
| token | Integer | O | Authentication token(received on KakaoTalk app, after Register PlusFriend API call) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/plus-friends
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter] No.1 or 2 is conditionally required
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | X | PlusFriend ID |
| status | String | X | Status code of PlusFriend(YSC02: Ready for token authenticated, YSC03: Normally registered) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"plusFriends" : [
{
"plusFriendId" : String,
"plusFriendType" : String,
"senderKey" : String,
"categoryCode" : String,
"alimtalkDailyMaxCount" : Integer,
"friendtalkDailyMaxCount" : Integer,
"alimtalkSentCount" : Integer,
"friendtalkSentCount" : Integer,
"status" : String,
"statusName" : String,
"kakaoStatus" : String,
"kakaoStatusName" : String,
"kakaoProfileStatus" : String,
"kakaoProfileStatusName" : String,
"resendYn" : String,
"smsSendNo" : Integer,
"createDate" : String
}
],
"totalCount" : Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| plusFriends | Object | PlusFriend |
| - plusFriendId | String | PlusFriend ID |
| - plusFriendType | String | PlusFriend type(NORMAL, GROUP) |
| - senderKey | String | Sender key |
| - categoryCode | String | Category code |
| - alimtalkDailyMaxCount | Integer | Number of maximum daily AlimTalk deliveries(not limited if it is 0) |
| - friendtalkDailyMaxCount | Integer | Number of maximum daily FriendTalk deliveries(not limited if it is 0) |
| - alimtalkSentCount | Integer | Number of daily AlimTalk deliveries(not limited if it is 0) |
| - friendtalkSentCount | Integer | Number of daily FriendTalk deliveries(not limited if it is 0) |
| - status | String | Status code of NHN Cloud PlusFriend(YSC02: Ready for registeration, YSC03: Normally registered) |
| - statusName | String | Status name of NHN Cloud PlusFriend(ready for registration, normally registered) |
| - kakaoStatus | String | Status code of Kakao PlusFriend(A: Normal, S: Blocked, D: Deleted) kakaoStatus is null if the status is YSC02. |
| - kakaoStatusName | String | Status name of Kakao PlusFriend(normal, blocked, deleted) kakaoStatusName is null if the status is YSC02. |
| - kakaoProfileStatus | String | Status code of Kakao PlusFriend profile(A: Activated, B: Blocked, C: Deactivated, D:Deleted, E: Deleting) kakaoProfileStatus is null if the status is YSC02. |
| - kakaoProfileStatusName | String | Status name of Kakao PlusFriend profile(Activated, Deactivated, Blocked, Deleted, or Deleting) kakaoProfileStatusName is null if the status is YSC02. |
| - resendYn | String | Set delivery failure(resending) or not |
| - smsSendNo | String | Sender number for tc-sms, to resend |
| - createDate | String | Date and time of registration |
| totalCount | Integer | Total count |
[URL]
POST /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"templateCode" : String,
"templateName" : String,
"templateContent" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc" : String,
"schemeIos" : String,
"schemeAndroid" : String
}
]
}
| Value | Type | Required | Description |
|---|---|---|---|
| templateCode | String | O | Template code(up to 20 characters) |
| templateName | String | O | Template name(up to 150 characters) |
| templateContent | String | O | Template body(up to 1000 characters) |
| buttons | List | X | List of buttons(up to 5) |
| -ordering | Integer | X | Button sequence(1~5) |
| -type | String | X | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| -name | String | X | Button name(required, if there's a button, up to 14 characters) |
| -linkMo | String | X | Mobile web link(required for the WL type, up to 500 characters) |
| -linkPc | String | X | PC web link(optional for the WL type, up to 500 characters) |
| -schemeIos | String | X | iOS app link(required for the AL type, up to 500 characters) |
| -schemeAndroid | String | X | Android app link(required for the AL type, up to 500 characters) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
PUT /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates/{templateCode}
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
| templateCode | String | Template code |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"templateName" : String,
"templateContent" : String,
"buttons" : [
{
"ordering" : Integer,
"type" : String,
"name" : String,
"linkMo" : String,
"linkPc" : String,
"schemeIos" : String,
"schemeAndroid" : String
}
]
}
| Value | Type | Required | Description |
|---|---|---|---|
| templateName | String | O | Template name(up to 150 characters) |
| templateContent | String | O | Template body(up to 1000 characters) |
| buttons | List | X | List of buttons(up to 5) |
| -ordering | Integer | X | Button sequence(1~5) |
| -type | String | X | Button type(WL: Web Link, AL: App Link, DS: Delivery Search, BK: Bot Keyword, MD: Message Delivery) |
| -name | String | X | Button name(required, if there's a button, up to 14 characters) |
| -linkMo | String | X | Mobile web link(required for the WL type, up to 500 characters) |
| -linkPc | String | X | PC web link(optional for the WL type, up to 500 characters) |
| -schemeIos | String | X | iOS app link(required for the AL type, up to 500 characters) |
| -schemeAndroid | String | X | Android app link(required for the AL type, up to 500 characters) |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
DELETE /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates/{templateCode}
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
| templateCode | String | Template code |
[Header]
{
"X-Secret-Key": String
}
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
PUT /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates/{templateCode}/comments
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
| templateCode | String | Template code |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Request Body]
{
"comment" : String
}
| Value | Type | Required | Description |
|---|---|---|---|
| comment | String | O | Inquiries |
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/templates
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Query parameter]
| Value | Type | Required | Description |
|---|---|---|---|
| plusFriendId | String | X | PlusFriend ID |
| templateCode | String | X | Template code |
| templateName | String | X | Template name |
| templateStatus | String | X | Template status code |
| pageNum | Integer | X | Page number(default:1) |
| pageSize | Integer | X | Number of queries(default: 15, Max: 1000) |
| Template Status Code | Description |
|---|---|
| TSC01 | Requested |
| TSC02 | Inspecting |
| TSC03 | Approved |
| TSC04 | Rejected |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/templates?plusFriendId={PlusFriend ID}&templateStatus={template status code}"
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"templateListResponse": {
"templates": [
{
"plusFriendId": String,
"plusFriendType": String,
"templateCode": String,
"templateName": String,
"templateContent": String,
"buttons": [
{
"ordering":Integer,
"type": String,
"name": String,
"linkMo": String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"comments": [
{
"id": Integer,
"content": String,
"userName": String,
"createdAt": String,
"status": String
}
],
"status": String,
"statusName": String,
"createDate": String
}
],
"totalCount": Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| templateListResponse | Object | Body area |
| - templates | List | Template list |
| -- plusFriendId | String | PlusFriend ID |
| -- plusFriendType | String | PlusFriend type(NORMAL, GROUP) |
| -- templateCode | String | Template code |
| -- templateName | String | Template name |
| -- templateContent | String | Template body |
| -- buttons | List | List of buttons |
| --- ordering | Integer | Button sequence(1~5) |
| --- type | String | Button type(WL: Web link, AL: App link, DS: Delivery search, BK: Bot keyword, MD: Message delivery) |
| --- name | String | Button name |
| --- linkMo | String | Mobile web link(required for the WL type) |
| --- linkPc | String | PC web link(optional for the WL type) |
| --- schemeIos | String | iOS app link(required for the AL type) |
| --- schemeAndroid | String | Android app link(required for the AL type) |
| -- comments | List | Inspection result |
| --- id | Integer | Inquiry ID |
| --- content | String | Inquiry content |
| ---userName | String | Creator |
| ---createAt | String | Date of registration |
| ---status | String | Comment status(INQ: Inquired, APR: Approved, REJ: Rejected, REP: Replied, REQ: Under inspection) |
| -- status | String | Template status |
| -- statusName | String | Template status name |
| -- createDate | String | Date and time of creation |
| - totalCount | Integer | Total count |
[URL]
GET /alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates/{templateCode}/modifications
Content-Type: application/json;charset=UTF-8
[Path parameter]
| Value | Type | Description |
|---|---|---|
| appkey | String | Original appkey |
| plusFriendId | String | PlusFriend ID |
| templateCode | String | Template code |
[Header]
{
"X-Secret-Key": String
}
| Value | Type | Required | Description |
|---|---|---|---|
| X-Secret-Key | String | O | Can be created on console. |
[Example]
curl -X GET -H "Content-Type: application/json;charset=UTF-8" -H "X-Secret-Key:{secretkey}" "https://kakaotalk-bizmessage.api.nhncloudservice.com/alimtalk/v1.4/appkeys/{appkey}/plus-friends/{plusFriendId}/templates/{templateCode}/modifications"
{
"header" : {
"resultCode" : Integer,
"resultMessage" : String,
"isSuccessful" : boolean
},
"templateModificationsResponse": {
"templates": [
{
"plusFriendId": String,
"plusFriendType": String,
"templateCode": String,
"templateName": String,
"templateContent": String,
"buttons": [
{
"ordering":Integer,
"type": String,
"name": String,
"linkMo": String,
"linkPc": String,
"schemeIos": String,
"schemeAndroid": String
}
],
"comments": [
{
"id": Integer,
"content": String,
"userName": String,
"createdAt": String,
"status": String
}
],
"status": String,
"statusName": String,
"activated": boolean,
"createDate": String
}
],
"totalCount": Integer
}
}
| Value | Type | Description |
|---|---|---|
| header | Object | Header area |
| - resultCode | Integer | Result code |
| - resultMessage | String | Result message |
| - isSuccessful | Boolean | Successful or not |
| templateModificationsResponse | Object | Body area |
| - templates | List | Template list |
| -- plusFriendId | String | PlusFriend ID |
| -- plusFriendType | String | PlusFriend type(NORMAL, GROUP) |
| -- templateCode | String | Template code |
| -- templateName | String | Template name |
| -- templateContent | String | Template body |
| -- buttons | List | List of buttons |
| --- ordering | Integer | Button sequence(1~5) |
| --- type | String | Button type(WL: Web link, AL: App link, DS: Delivery search, BK: Bot keyword, MD: Message delivery) |
| --- name | String | Button name |
| --- linkMo | String | Mobile web link(required for the WL type) |
| --- linkPc | String | PC web link(optional for the WL type) |
| --- schemeIos | String | iOS app link(required for the AL type) |
| --- schemeAndroid | String | Android app link(required for the AL type) |
| -- comments | List | Inspection result |
| --- id | Integer | Inquiry ID |
| --- content | String | Inquiry content |
| ---userName | String | Creator |
| ---createAt | String | Date of registration |
| ---status | String | Comment status(INQ: Inquired, APR: Approved, REJ: Rejected, REP: Replied, REQ: Under inspection) |
| -- status | String | Template status |
| -- statusName | String | Template status name |
| -- activated | Boolean | activated or not |
| -- createDate | String | Date and time of creation |
| - totalCount | Integer | Total count |